Expenses
Submit Hris Expense Report
Submits a report: validates receipts/justification, recalculates totals, routes approval tiers, auto-approves under threshold, notifies.
POSThttps://api.toku.com/hris/submit-hris-expense-report
Not available to API keys yet. It will need expenses:write.
curl --request POST \
--url 'https://api.toku.com/hris/submit-hris-expense-report' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"hrisExpenseReportID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"roleInOrgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'200 response
{
"hrisExpenseReportID": "string",
"roleInOrgID": "string",
"roleInOrgName": "string",
"roleInOrgEmail": "string",
"roleInOrgDepartment": "string",
"name": "string",
"status": "string",
"startDate": "string",
"endDate": "string",
"expensedCurrencyID": "string",
"expensedCurrencyCode": "string",
"expensedCurrencyName": "string",
"totalAmountInExpenseCurrency": "string",
"submittedAt": "string",
"approvedAt": "string",
"rejectedAt": "string",
"paidAt": "string",
"payoutStatus": "string",
"decisionUndoableUntil": "string",
"rejectionReason": "string",
"reviewComment": "string",
"createdAt": "string",
"updatedAt": "string",
"expenseCount": 0,
"categoryNames": [
"string"
],
"primaryExpenseCategoryName": "string",
"hasReceiptlessExpenses": true,
"thirdPartyProvider": "string",
"thirdPartyReportID": "string",
"reimbursementSyncedAt": "string",
"reimbursementSyncError": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
hrisExpenseReportIDstring<uuid>requiredroleInOrgIDstring<uuid>Response
200Successful response
hrisExpenseReportIDstringrequiredroleInOrgIDstringrequiredroleInOrgNamestring | nullrequiredroleInOrgEmailstring | nullrequiredroleInOrgDepartmentstring | nullrequirednamestringrequiredstatusstringrequiredstartDatestring | nullrequiredendDatestring | nullrequiredexpensedCurrencyIDstring | nullrequiredexpensedCurrencyCodestring | nullrequiredexpensedCurrencyNamestring | nullrequiredtotalAmountInExpenseCurrencystring | nullrequiredsubmittedAtstring | nullrequiredapprovedAtstring | nullrequiredrejectedAtstring | nullrequiredpaidAtstring | nullrequiredpayoutStatusstring | nullrequireddecisionUndoableUntilstring | nullrequiredrejectionReasonstring | nullrequiredreviewCommentstring | nullrequiredcreatedAtstring | nullrequiredupdatedAtstring | nullrequiredexpenseCountnumberrequiredcategoryNamesstring[]requiredprimaryExpenseCategoryNamestring | nullrequiredhasReceiptlessExpensesbooleanrequiredthirdPartyProviderstring | nullrequiredthirdPartyReportIDstring | nullrequiredreimbursementSyncedAtstring | nullrequiredreimbursementSyncErrorstring | nullrequired400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits